{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "iIi",
        "IPI",
        "iIi"
    ],
    "key": {
        "i": {
            "item": "minecraft:iron_ingot"
        },
        "I": {
            "item": "minecraft:iron_bars"
        },
        "P": {
            "item": "minecraft:pig_spawn_egg"
        }
    },
    "result": {
        "item": "minecraft:spawner",
        "count": 1
    }
}